%global momorel 5

Summary: A C++ API to the PostgreSQL database management system
Name: libpqxx
Version: 2.6.8
Release: %{momorel}m%{?dist}
License: BSD
URL: http://pqxx.tk/
Group: System Environment/Libraries
Source0: ftp://thaiopensource.org/software/%{name}/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-visibility.patch
Patch1: libpqxx-2.6.8-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: postgresql-devel >= 8.2.3
BuildPreReq: pkgconfig

%description
hat libpqxx brings you is effective use of templates to reduce the inconvenience of
dealing with type conversions; of standard C++ strings to keep you from having
to worry about buffer allocation and overflow attacks; of exceptions to take
the tedious and error-prone plumbing around error handling out of your hands;
of constructors and destructors to bring resource management under control; and
even basic object-orientation to give you some extra reliability features that
would be hard to get with most other database interfaces.

%package devel
Summary: Libraries, includes, etc. to develop PostgreSQL applications in C++
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: postgresql-devel

%description devel
Libraries, include files, etc you can use to develop PostgreSQL applications in C++.

%prep
%setup -q
%patch0 -p1 -b .visibility
%patch1 -p1 -b .gcc43~

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--enable-shared \
	--enable-static

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* TODO
%{_libdir}/libpqxx-2.6.8.so

%files devel
%defattr(-, root, root)
%{_bindir}/pqxx-config
%{_includedir}/pqxx
%{_libdir}/pkgconfig/libpqxx.pc
%{_libdir}/libpqxx.a
%{_libdir}/libpqxx.so

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.8-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.8-4m)
- rebuild against gcc43

* Tue Jan  8 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.6.8-4m)
- add patch for gcc43

* Fri Mar 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.6.8-3m)
- No NoSource

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.6.8-2m)
- rebuild against postgresql-8.2.3

* Tue Nov 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.6.8-1m)
- version 2.6.8
- import visibility.patch from Fedora Core extras devel
 +* Wed Sep 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.6.8-1
 +- fc6+: drop -Werror (for now) 
- get rid of *.la files

* Fri Mar 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.5.5-1m)
- initial package for koffice-1.5
